-- --------------------------------------------------------
If NOT EXISTS (select name from elternabenddb.sys.sysobjects where name = 'elternabenddb.dbo.Benutzer')
--
-- Tabellenstruktur fr Tabelle `Benutzer`
--

BEGIN

CREATE TABLE elternabenddb.dbo.Benutzer (
  id_benutzer int IDENTITY NOT NULL PRIMARY KEY,
  bname varchar(255) NOT NULL,
  passwort varchar(255) NOT NULL,
  status int NOT NULL,
  rechte int NOT NULL,
);

--
-- Tabellenstruktur fr Tabelle `Ezb`
--
If NOT EXISTS (select name from elternabenddb.sys.sysobjects where name = 'elternabenddb.dbo.Ezb')
CREATE TABLE elternabenddb.dbo.Ezb (
  id_ezb int IDENTITY NOT NULL PRIMARY KEY,
  ename varchar(255) DEFAULT NULL,
  name varchar(255) DEFAULT NULL,
  klasse varchar(255) DEFAULT NULL,
);
--
-- Tabellenstruktur fr Tabelle `Lehrer`
--
If NOT EXISTS (select name from elternabenddb.sys.sysobjects where name = 'elternabenddb.dbo.Lehrer')
CREATE TABLE elternabenddb.dbo.Lehrer (
  id_lehrer int IDENTITY NOT NULL PRIMARY KEY,
  kz varchar(255) DEFAULT NULL,
  lname varchar(255) DEFAULT NULL,
  lvorname varchar(255) DEFAULT NULL,
  klassenlehrer varchar(255) DEFAULT NULL,
  raum varchar(255) DEFAULT NULL,
);
--
-- Tabellenstruktur fr Tabelle `Uhrzeiten`
--
If NOT EXISTS (select name from elternabenddb.sys.sysobjects where name = 'elternabenddb.dbo.Uhrzeiten')
CREATE TABLE elternabenddb.dbo.Uhrzeiten (
  zeit int IDENTITY NOT NULL PRIMARY KEY,
  uhr varchar(255) NOT NULL,
) 
--
-- Tabellenstruktur fr Tabelle `Termine`
--
If NOT EXISTS (select name from elternabenddb.sys.sysobjects where name = 'elternabenddb.dbo.Termine')
CREATE TABLE elternabenddb.dbo.Termine (
  id_lehrer int IDENTITY NOT NULL,
  id_uhrzeiten int  NOT NULL,
  id_ezb int NOT NULL,
  CONSTRAINT PK_Termine PRIMARY KEY NONCLUSTERED (id_lehrer,id_uhrzeiten)
);
--
-- Tabellenstruktur fr Tabelle `Config`
--
If NOT EXISTS (select name from elternabenddb.sys.sysobjects where name = 'elternabenddb.dbo.Config')
CREATE TABLE elternabenddb.dbo.Config (
  id_config int IDENTITY NOT NULL PRIMARY KEY,
  passwort varchar(255) NOT NULL,
  abwesende text NOT NULL,
  fehler text NOT NULL,
  meldung1 text NOT NULL,
  meldung2 text NOT NULL,
  meldung3 text NOT NULL,
  einladung text NOT NULL,
);
END


